# DataGridViewComboBoxColumn

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (2.5.0.0)

* [DataGridViewElement](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewelement.md)
  * [DataGridViewBand](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewband.md)
    * [DataGridViewColumn](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcolumn.md)
      * [DataGridViewComboBoxColumn](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcolumn.md)

Represents a [DataGridView](/api/v2.5/wisej.web/lists-and-grids/datagridview.md) column that contains a collection of [DataGridViewComboBoxCell](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcell.md) cells.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewComboBoxColumn : DataGridViewColumn
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewComboBoxColumn
    Inherits DataGridViewColumn
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/-MTRl851gGvQXMvSEG1f)DataGridViewComboBoxColumn()

Initializes a new instance of the [DataGridViewComboBoxColumn](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcolumn.md) class to the default state.

### ![](/files/-MTRl851gGvQXMvSEG1f)DataGridViewComboBoxColumn(cellTemplate)

Initializes a new instance of the [DataGridViewComboBoxColumn](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcolumn.md) class to the default state.

| Name             | Type                                                                                                               | Description                                                                                                                                      |
| ---------------- | ------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| **cellTemplate** | [DataGridViewComboBoxCell](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcell.md) | An existing [DataGridViewButtonCell](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewbuttoncell.md) to use as a template. |

## Properties

### ![](/files/-MTRl851gGvQXMvSEG1f)AutoCompleteMode

[AutoCompleteMode](/api/v2.5/wisej.web/enumerations/wisej.web.autocompletemode.md): Returns or sets how automatic completion works for the [DataGridViewComboBoxColumn](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcolumn.md).

### ![](/files/-MTRl851gGvQXMvSEG1f)CellTemplate

[DataGridViewCell](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md): Returns or sets the template used to model cell appearance.

**Throws:**

* [InvalidOperationException](https://docs.microsoft.com/en-us/dotnet/api/system.invalidoperationexception) The type is null.
* [InvalidCastException](https://docs.microsoft.com/en-us/dotnet/api/system.invalidcastexception) The set type is not compatible with type [DataGridViewComboBoxCell](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcell.md).

### ![](/files/-MTRl851gGvQXMvSEG1f)CharacterCasing

[CharacterCasing](/api/v2.5/wisej.web/editors/wisej.web.charactercasing.md): Returns or sets whether the cell editor modifies the case of characters as they are typed.

### ![](/files/-MTRl851gGvQXMvSEG1f)DataSource

[Object](https://docs.microsoft.com/en-us/dotnet/api/system.object): Returns or sets the data source that populates the selections for the combo boxes.

### ![](/files/-MTRl851gGvQXMvSEG1f)DisplayMember

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the name of the property or column from which to retrieve the text to display in the combo box cell.

### ![](/files/-MTRl851gGvQXMvSEG1f)DropDownStyle

[ComboBoxStyle](/api/v2.5/wisej.web/enumerations/wisej.web.comboboxstyle.md): Returns or sets the drop down style of the combo box.

### ![](/files/-MTRl851gGvQXMvSEG1f)IconMember

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the name of the property or column from which to get the icon to use in the drop-down list.

### ![](/files/-MTRl851gGvQXMvSEG1f)IncrementalSelection

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets whether items are selected incrementally as the user types within a timeout of 1 second.

### ![](/files/-MTRl851gGvQXMvSEG1f)Items

[ObjectCollection](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcolumn.md): Returns the collection of the items contained in this [DataGridViewComboBoxColumn](/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcolumn.md).

**Throws:**

* [InvalidOperationException](https://docs.microsoft.com/en-us/dotnet/api/system.invalidoperationexception) The value of the [CellTemplate](#celltemplate) property is null.

### ![](/files/-MTRl851gGvQXMvSEG1f)LazyLoading

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Enables or disables lazy loading mode for the [ComboBox](/api/v2.5/wisej.web/lists-and-grids/wisej.web.combobox.md) cell editor control.

### ![](/files/-MTRl851gGvQXMvSEG1f)MaxInputLength

[Int32](https://docs.microsoft.com/en-us/dotnet/api/system.int32): Returns or sets the maximum number of characters that can be entered into the editable part of the combo box control.

**Throws:**

* [InvalidOperationException](https://docs.microsoft.com/en-us/dotnet/api/system.invalidoperationexception) The value of the [CellTemplate](#celltemplate) property is null.

### ![](/files/-MTRl851gGvQXMvSEG1f)Sorted

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Returns or sets if the items in the combo box editor are automatically sorted.

**Throws:**

* [ArgumentException](https://docs.microsoft.com/en-us/dotnet/api/system.argumentexception) An attempt was made to sort a cell that is attached to a data source.

### ![](/files/-MTRl851gGvQXMvSEG1f)Tools

[ComponentToolCollection](/api/v2.5/wisej.web/editors/wisej.web.componenttoolcollection.md): Returns the instance of [ComponentToolCollection](/api/v2.5/wisej.web/editors/wisej.web.componenttoolcollection.md) associated with this control.

### ![](/files/-MTRl851gGvQXMvSEG1f)ValueMember

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the name of the property or column from which to get the value that correspond to the selections in the drop-down list.

### ![](/files/-MTRl851gGvQXMvSEG1f)ValueType

[Type](https://docs.microsoft.com/en-us/dotnet/api/system.type): Returns or sets the data type of the values in the column's cells.

### ![](/files/-MTRl851gGvQXMvSEG1f)VirtualScroll

[Boolean](https://docs.microsoft.com/en-us/dotnet/api/system.boolean): Enables or disables virtual scrolling mode for the [ComboBox](/api/v2.5/wisej.web/lists-and-grids/wisej.web.combobox.md) cell editor control.

### ![](/files/-MTRl851gGvQXMvSEG1f)Watermark

[String](https://docs.microsoft.com/en-us/dotnet/api/system.string): Returns or sets the text to show when the textbox is empty.

## Implements

| Name                                                                                   | Description                                    |
| -------------------------------------------------------------------------------------- | ---------------------------------------------- |
| [IWisejComponent](/api/v2.5/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface. |
| [IWisejSerializable](/api/v2.5/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/v2.5/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcolumn.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
